Retrieve Push Notification settings

Retrieves the current Push Notification settings for second factor authentication.

GET
/v2/manage/2fa/push-notification-settings

Retrieves the current Push Notification settings for second factor authentication.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/2fa/push-notification-settings"
{
  "IsEnabled": true,
  "NotificationService": "AWS",
  "CustomAppName": "MyCustomApp",
  "QRCodeWidth": 200,
  "Message": "Please approve the login request",
  "AWSsettings": {
    "AccessKeyId": "your-access-key-id",
    "SecretAccessKey": "your-secret-access-key",
    "Region": "us-west-2"
  },
  "AndroidSettings": {
    "Enabled": true,
    "PlatformARN": "arn:aws:sns:us-west-2:123456789012:app/GCM/MyAndroidApp",
    "PlaystoreUrl": "https://play.google.com/store/apps/details?id=com.example.myapp",
    "ServiceJson": "{\"project_id\":\"my-project-id\",\"api_key\":\"my-api-key\"}"
  },
  "IOSsettings": {
    "Enabled": true,
    "AppstoreUrl": "https://apps.apple.com/us/app/myapp/id1234567890",
    "PlatformARN": "arn:aws:sns:us-west-2:123456789012:app/APNS/MyiOSApp",
    "BundleId": "com.example.myapp",
    "ApnsCertificate": "base64-encoded-cert",
    "Environment": "Production"
  }
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 8050,
  "Message": "Push Notification settings not found or does not exist",
  "Description": "There is no Push Notification settings/configuration available."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}